# Planning Number Words

Before you start programming, do some planning here on how you will break down
this problem. Here's a hint: if you start by writing functions for smaller numbers, 
you will find that these functions help you with the larger numbers. For each of
the cases below, explain how you would turn a number into a string. Feel free to
write in sentences or in pseudocode (pseudocode is a sort of "casual programming"
where you're almost writing in code, being pretty specific without worrying about
syntax. For each case below, assume the integer is zero or more--don't worry about
negative integers.

## Integers under 10
(This one is done for you!)
For an integer less than ten, you need to know the name of each digit, and look it
up. You could use a big if/else statement like:

```
if number == 0:
    return "zero"
elif number == 1:
    return "one"
elif number == 1:
    return "two"
    if n < 10:
        return units[n]
        n % 10
        n% 100
        n % 1000
```

A cleaner way to do this would be to make a list of digit names, from zero to nine.
Then you could just look up a digit's name:

```
digit_names = [
    "zero", "one", "two", "three", "four", 
    "five", "six", "seven", "eight", "nine"
]
return digit_names[number]
```

## Integers under 20
if n < 10:
            return units[n]

## Integers under 100
 n < 100:
            return tens[n // 10] + ('' if n % 10 == 0 else '-' + units[n % 10])



## Integers under 1000
 n < 1000:
            return units[n // 100] + ' hundred' + (' and ' + number_to_words(n % 100) if n % 100 != 0 else '')


## Integers under 1000000
n < 1000000:
            return (number_to_words(n // 1000) + ' thousand' +
                    ('' if n % 1000 == 0 else ' ' + number_to_words(n % 1000)))


## Negative integers down to -1 million
We won't deal with negative integers in this problem set, 
but how would you deal with a negative integer, using the 
functions above?
if number < 0:
        
        return "negative " + int_under_1000000_to_str(-number)


